<?xml version="1.0" encoding="utf-8"?>

<!--  *********************************************************************************

BASIC! is an implementation of the Basic programming language for
Android devices.
 
 Copyright (C) 2010 - 2014 Paul Laughton

This file is part of BASIC! for Android

    BASIC! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BASIC! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BASIC!.  If not, see <http://www.gnu.org/licenses/>.

    You may contact the author or current maintainers at http://rfobasic.freeforums.org
	
	**********************************************************************************
	-->
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
	android:orientation="vertical"
	android:layout_width="match_parent"
	android:layout_height="match_parent"
	android:fitsSystemWindows="true"
>
	<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
		android:id="@+id/titlebar"
		android:layout_width="match_parent"
		android:layout_height="wrap_content"
		android:gravity="left"
	>
		<TextView
			android:id="@+id/title"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_margin="10dp"
			android:textSize="20dip"
			android:textColor="#ffffffff"
			android:text="Text Input"
			android:maxLines="1"
		/>
	</LinearLayout>
	<RelativeLayout
		xmlns:android="http://schemas.android.com/apk/res/android"
		android:layout_width="match_parent" 
		android:layout_height="match_parent"
		android:layout_marginTop="10dp"
		android:layout_marginLeft="10dp"
		android:layout_marginRight="10dp"
		android:layout_marginBottom="5dp"
		android:gravity="center_horizontal" 
		android:id="@+id/canvas"
		>
		<EditText android:id="@+id/the_text"
			android:layout_width="match_parent"
			android:layout_height="match_parent"
			android:layout_above="@id/ok_button"
			android:gravity="top"
			android:scrollHorizontally="true"
			android:text="text1\ntext2\ntext3\ntex4\ntext5\n"
			style="@style/s_edit_text"
		/>
		<Button android:id="@+id/ok_button"
			android:layout_width="wrap_content"
			android:layout_height="wrap_content"
			android:layout_marginTop="10dip"
			android:layout_centerHorizontal  ="true"
			android:layout_alignParentBottom ="true"
			android:minHeight="0dp"
			android:textSize="16dip"
			android:text="OK"
		/>
	</RelativeLayout>
</LinearLayout>
